//
//  ProfileAnswerToCell.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 18/08/2025.
//

import SwiftUI

struct ProfileAnswerToCell: View {
    var body: some View {
        VStack(spacing: 8) {
            VStack(alignment: .leading, spacing: 8) {
                HStack {
                    SQText("Répond aux demandes de :")
                        .sqFont(.semiBold)
                    Spacer()
                    SQText("Abonné Premier")
                        .sqSize(13)
                        .sqFont(.semiBold)
                        .sqColor(.sqOrange(70))
                        .padding(.horizontal, 8)
                        .padding(.vertical, 2)
                        .background(Color.sqOrange(20))
                        .cornerRadius(4)
                }
                VStack(alignment: .leading, spacing: 4) {
                    HStack {
                        SQText("•")
                        SQText("Peinture - Tapisserie")
                            .sqColor(.sqNeutral(80))
                        SQText("(43 réponses)")
                            .sqSize(13)
                            .sqColor(.sqNeutral(80))
                    }
                    HStack {
                        SQText("•")
                        SQText("Aide à domicile")
                            .sqColor(.sqNeutral(80))
                        SQText("(4 réponses)")
                            .sqSize(13)
                            .sqColor(.sqNeutral(80))
                    }
                    HStack {
                        SQText("•")
                        SQText("Livraison de courses")
                            .sqColor(.sqNeutral(80))
                        SQText("(2 réponses)")
                            .sqSize(13)
                            .sqColor(.sqNeutral(80))
                    }
                }
            }
            SQButton("Voir tout") {

            }
            .sqTextSize(13)
            .sqButtonType(.line)
        }
    }
}

#Preview {
    ProfileAnswerToCell()
        .padding()
}
